﻿
/**************************************************************/
/* 検索条件-入力項目 */
/**************************************************************/

.version-text {
    display:block;
    text-align:right;
    color: #777777;
}


/****************************************************/
/* フレーム関連 */
/* 入力項目用フレーム */
.condition {
    display: block;
    text-align: center;
    border: 1px solid #777777;
}

/* ボーダーラインを削除 */
.non-border {
    border: none;
}

/* ボーダーライン */
.border-group {
    border: 1px solid #777777;
}


    /* 
        中央に配置する為のconditionの子フレーム
        conditionの直下に配置し、max-widthを指定して使用
    */
    .condition .center-content, .center-info {
        display: inline-block;
        width: 100%;
    }

/****************************************************/
/* 検索条件タイトル */
.condition-title {
    font-size: 16px;
    font-weight: bold;
    padding: 10px 20px 10px 20px;
    text-align: left;
    vertical-align: middle;
    border-top: 3px solid #0D3767;
    border-bottom: 1px solid #777777;
}

/****************************************************/
/* 入力項目関連 */

/* 入力項目関連全体のフレーム */

.condition-input,
.condition-frame {
    display: inline-block;
    background-color: #F8F8F8;
    padding: 30px 40px 20px 40px;
    width: 100%;
}
@media screen and (max-width: 751px) {
    .condition-input {
        padding: 30px 20px 20px 20px;
    }
}

/* dlを使用した 入力項目 */
dl.condition-item {
    text-align: left;
    margin-left: 20px; /* タイトルと段落をつける */
    margin-right: 20px; /* タイトルと段落をつける */
    margin-bottom: 0px;
}

    /* 入力項目名 */
    dl.condition-item > dt {
        text-align: left;
        margin-top: 15px;
        font-weight: bold;
    }

    /* 入力項目 */
    dl.condition-item > dd {
        text-align: left;
        padding-left: 10px;
        padding-right: 10px;
    }
    dl.condition-item dd * {
        width: 100%;
        max-width: none;
    }

/* divを使用した 入力項目 */
div.condition-item {
    display: block;
    margin: 0px 0px;
    text-align: left;
    vertical-align: middle;
}

    /* 入力項目名 */
    div.condition-item .name {
        display: inline-block;
        vertical-align: top;
        margin:10px 0px;
        color: #0B5AB4;
        font-weight: bold;
        width: 120px;
    }

    /* 入力項目 */
    div.condition-item .input {
        display: inline-block;
        vertical-align: middle;
        width: calc(100% - 120px - 20px);
        height: auto;
    }

    /* 入力項目 */
    div.condition-item .check {
        display: inline-block;
        vertical-align: middle;
        margin: 10px 0px;
        width: 200px;
        height: auto;
        font-weight: normal;
    }

        /* 入力コントロール */
        div.condition-item .input > * {
            display:block;
            vertical-align:middle;
            width: 100%;
            max-width: 100%;
            height: auto;
        }

        div.condition-item .input span {
            padding: 10px 0px;
        }

/****************************************************/
/* エラー表示関連 */
.condition-err,
.condition-err-center {
    background-color: #F8F8F8;
}

.condition-err {
    padding-left: 165px;
    text-align: left;
    overflow-wrap: break-word;
}

/* 画面が小さい場合は、中央配置に変更 */
@media screen and (max-width: 700px) {
    .condition-err {
        padding-left: 0px;
        text-align: center;
    }
}

/* 中央に配置するエラー表示 */
.condition-err-center {
    text-align: center;
}

/****************************************************/
/* ボタン関連 */
/*.condition-regist 検索条件 */
/*.content-btn-list 機能として提供するボタンのリスト */
/*.regist-btn-list 登録を実行するボタンリスト */

.condition-regist,
.condition-regist-center {
    padding: 20px 30px 20px 30px;
    background-color: #E6E6E6;
}

.regist-btn-list,
.regist-btn-list-center {
    padding: 20px 0px;
}

.condition-regist,
.content-btn-list,
.regist-btn-list {
    text-align: right;
}

.condition-regist-center,
.regist-btn-list-center {
    text-align: center;
}

/* ボタンリスト */
.content-btn-list {
    text-align: right;
}

.condition-regist > *,
.regist-btn-list > * {
    display: inline-block;
}

/* コンテンツ関連 */
.content {
    margin: 20px 0px;
}

.control-file-upload {
    border: 1px solid #767676;
    padding: 2px;
    background: #FFFFFF;
}
.control-file-upload input {
    display: inline-block;
    width:100%;
    max-width: none;
}


/**************************************************************/
/* 一覧 - テーブル */
.no-table {
    width: 100%;
}

    .no-table > tbody > tr > th {
        background-color: #BACFE7;
        color: #0D3767;
        text-align: center;
        vertical-align: middle;
        padding: 5px;
        border: solid;
        border-color: black;
        border-top-width: 1px;
        border-width: 1px;
    }

    .no-table > tbody > tr > td {
        text-align: left;
        vertical-align: middle;
        padding: 5px;
        border: solid;
        border-color: black;
        border-top-width: 1px;
        border-width: 1px;
        word-break: break-all;
    }

    .no-table > tbody > tr > td > * {
        display:inline-block;
        width: 100%;
    }

    .no-table tbody tr td.center {
        text-align: center !important;
    }

    .no-table tbody tr td.right {
        text-align: right !important;
    }

    .no-table tbody tr td.left {
        text-align: left !important;
    }

    /* 奇数行のスタイル */
    .no-table > tbody > tr:nth-child(odd) {
        background-color: #F0F0F0;
    }

    /* 偶数行のスタイル */
    .no-table > tbody > tr:nth-child(even) {
        background-color: #FFFFFF;
    }


/* 一覧 - テーブル上部に表示するレコードカウンター */
.no-table-count {
    text-align: right;
    margin: 0, 0, 0, 0;
}

/* 一覧 - テーブル下部に表示する前次ボタン */
.no-table-ba {
    display: flex;
    margin-top: 5px;
    overflow: hidden;
    justify-content: space-between;
}

    .no-table-ba > input[type=button],
    .no-table-ba > input[type=submit] {
        max-width: 100px;
    }

/**************************************************************/
/* 動的に要素数が変わるチェックボックスリスト
   (Dynamic Check Box List)
*/
.dcbl-table {
    min-height: 36px;
    padding-top: 3px;
    border: 1px solid gray;
    background-color: #fff;
}

    .dcbl-table-item {
        display:inline-block;
        padding: 3px 5px;
        min-width:150px;
    }

        .dcbl-table-item label {
            display: inline-block;
            margin: 0px;
            font-size: 14px;
        }




/**************************************************************/
/* Button */
.no-btn, /* 通常のボタン */
.li-btn, /* リストビューに内蔵されるボタン */
.sb-btn, /* サブボタン */
.menu-btn,
.pg-btn,
.link_btn {
    display: inline-block;
    text-align: center;
    background: #1A6ECD;
    color: #fff;
    font-size: 1em;
    font-weight: bold;
    cursor: pointer;
    line-height: 1.4;
    border: none;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-transition: .4s;
    -moz-transition: .4s;
    transition: .4s;
}

.no-btn {
    width: 100%;
    max-width: 200px;
    padding: 8px;
    margin: 2px;
    border: 2px solid #1A6ECD;
}

.sb-btn {
    width: 100%;
    max-width: 150px;
    padding: 4px 8px;
    border: 1px solid #1A6ECD;
}

.li-btn {
    width: 100%;
    padding: 3px 8px;
    border: 1px solid #1A6ECD;
}

.pg-btn {
    width: 100%;
    max-width: 35px;
    padding: 4px 8px;
    margin-left: 10px;
    margin-right: 10px;
}

.menu-btn {
    width: 100%;
    max-width: 300px;
    padding: 15px 8px;
}



/* ボタンの配色を反転させる時に同時に指定 */
.bt-back,
.bt-back-s {
    color: #1058a0;
    background: #fff;
}


.bt-back {
    border: 2px solid #1058a0;
}

.bt-back-s {
    border: 1px solid #1058a0;
}

.bt-del {
    color: #FFFFFF;
    background: #666666;
    border: 1px solid #666666;
}

.bt-menu {
    color: #0B5AB4;
    background: #E6E6E6;
    border: 1px solid #E6E6E6;
}
.bt-menu-sub {
    color: #0B5AB4;
    background: #CCFFCC;
    border: 1px solid #E6E6E6;
}
.bt-menu-monitor {
    color: black;
    background: #99bdf6;
    border: 2px solid #3d5eca;
    width:300px;
}

.bt-ba {
    color: #4D4D4D;
    background: #C8C8C8;
    border: 1px solid #C8C8C8;
}
.bt-select {
    color: #4D4D4D;
    background: none;
}

a.bt-link:link {
    color: #0B5AB4;
    text-decoration: none;
}

a.bt-link:visited {
    color: #0B5AB4;
    text-decoration: none;
}

.no-btn:disabled,
.li-btn:disabled,
.sb-btn:disabled {
    display:none;
    cursor: default;
}

.no-btn:hover, .no-btn:active,
.sb-btn:hover, .sb-btn:active,
.li-btn:hover, .li-btn:active {
    opacity: 0.8;
}

.date {
    max-width: 150px;
}

/**************************************************************/
/* Button */
/*
.fade {
    display: inline-block;
    animation: fadeIn 5s ease 0.3s 1 normal;
}
*/
.fade, .fade-text {
    color: green;
    font-weight: bold;
    opacity: 1;
}

@keyframes fadeIn { /* animetion-nameで設定した値を書く */
    0% {
        opacity: 0
    }

    30% {
        opacity: 1
    }

    70% {
        opacity: 1
    }

    100% {
        opacity: 0
    }
    /*アニメーション終了時は不透明度100%*/
}


.load-indicator {
    background-color: transparent;
}